﻿//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;
using UnityEngine;

public class CLASSTAG_DuoSDKWrap
{
	public static void Register(LuaState L)
	{
		L.BeginClass(typeof(DuoSDK), typeof(UnityEngine.MonoBehaviour));
		L.RegVar("Instance", FUNCTAG_get_Instance, null);
		L.RegFunction("initSDK", FUNCTAG_initSDK);
		L.RegFunction("addNemoPackage", FUNCTAG_addNemoPackage);
		L.RegFunction("showLogin", FUNCTAG_showLogin);
		L.RegFunction("ShowPayment", FUNCTAG_ShowPayment);
		L.RegFunction("AFTracking", FUNCTAG_AFTracking);
		L.RegFunction("SetSdkLoginSuccessCallback", FUNCTAG_SetSdkLoginSuccessCallback);
		L.RegFunction("SetSdkLoginFailCallback", FUNCTAG_SetSdkLoginFailCallback);
		L.RegFunction("SetSdkRegisterSuccessCallback", FUNCTAG_SetSdkRegisterSuccessCallback);
		L.RegFunction("SetSdkRegisterFailCallback", FUNCTAG_SetSdkRegisterFailCallback);
		L.RegFunction("SetSdkLogoutCallback", FUNCTAG_SetSdkLogoutCallback);
		L.RegFunction("SetSdkPostSuccessCallback", FUNCTAG_SetSdkPostSuccessCallback);
		L.RegFunction("SetSdkPostFailCallback", FUNCTAG_SetSdkPostFailCallback);
		L.RegFunction("SetSdkGetSuccessCallback", FUNCTAG_SetSdkGetSuccessCallback);
		L.RegFunction("SetSdkGetFailCallback", FUNCTAG_SetSdkGetFailCallback);

		L.EndClass();
	}
	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_Instance(IntPtr L)
	{
		try
		{
			ToLua.Push(L, DuoSDK.Instance);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_initSDK(IntPtr L)
	{
		try
		{
			//int count = LuaDLL.lua_gettop(L);
			DuoSDK obj = (DuoSDK)ToLua.CheckObject(L, 1, typeof(DuoSDK));
			string appId = ToLua.ToString(L, 2);
			string server = ToLua.ToString(L, 3);
			
			DuoSDK.Instance.initSDK(appId, server);
	
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_addNemoPackage(IntPtr L)
	{
		try
		{
			//int count = LuaDLL.lua_gettop(L);
			DuoSDK obj = (DuoSDK)ToLua.CheckObject(L, 1, typeof(DuoSDK));
			string productId = ToLua.ToString(L, 2);

			DuoSDK.Instance.addNemoPackage(productId);

			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}
	
	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_showLogin(IntPtr L)
	{
		try
		{
			DuoSDK obj = (DuoSDK)ToLua.CheckObject(L, 1, typeof(DuoSDK));
			DuoSDK.Instance.showLogin();
			return 1;
        }
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_ShowPayment(IntPtr L)
    {
        try
        {
            DuoSDK obj = (DuoSDK)ToLua.CheckObject(L, 1, typeof(DuoSDK));
            string arg0 = ToLua.CheckString(L, 2);
            DuoSDK.Instance.callPayment(arg0);
            return 1;
        }
        catch (Exception e)
        {
            return LuaDLL.toluaL_exception(L, e);
        }
    }

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_AFTracking(IntPtr L)
	{
		try
		{
			DuoSDK obj = (DuoSDK)ToLua.CheckObject(L, 1, typeof(DuoSDK));
			string arg0 = ToLua.CheckString(L, 2);
			DuoSDK.Instance.callAFTracking(arg0);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetSdkLoginSuccessCallback(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			DuoSDK obj = (DuoSDK)ToLua.CheckObject(L, 1, typeof(DuoSDK));
			LuaFunction arg0 = ToLua.CheckLuaFunction(L, 2);
			obj.FUNCTAG_SetSdkLoginSuccessCallback(arg0);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetSdkLoginFailCallback(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			DuoSDK obj = (DuoSDK)ToLua.CheckObject(L, 1, typeof(DuoSDK));
			LuaFunction arg0 = ToLua.CheckLuaFunction(L, 2);
			obj.FUNCTAG_SetSdkLoginFailCallback(arg0);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetSdkRegisterSuccessCallback(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			DuoSDK obj = (DuoSDK)ToLua.CheckObject(L, 1, typeof(DuoSDK));
			LuaFunction arg0 = ToLua.CheckLuaFunction(L, 2);
			obj.FUNCTAG_SetSdkRegisterSuccessCallback(arg0);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetSdkRegisterFailCallback(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			DuoSDK obj = (DuoSDK)ToLua.CheckObject(L, 1, typeof(DuoSDK));
			LuaFunction arg0 = ToLua.CheckLuaFunction(L, 2);
			obj.FUNCTAG_SetSdkRegisterFailCallback(arg0);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetSdkLogoutCallback(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			DuoSDK obj = (DuoSDK)ToLua.CheckObject(L, 1, typeof(DuoSDK));
			LuaFunction arg0 = ToLua.CheckLuaFunction(L, 2);
			obj.FUNCTAG_SetSdkLogoutCallback(arg0);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetSdkPostSuccessCallback(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			DuoSDK obj = (DuoSDK)ToLua.CheckObject(L, 1, typeof(DuoSDK));
			LuaFunction arg0 = ToLua.CheckLuaFunction(L, 2);
			obj.FUNCTAG_SetSdkPostSuccessCallback(arg0);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetSdkPostFailCallback(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			DuoSDK obj = (DuoSDK)ToLua.CheckObject(L, 1, typeof(DuoSDK));
			LuaFunction arg0 = ToLua.CheckLuaFunction(L, 2);
			obj.FUNCTAG_SetSdkPostFailCallback(arg0);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetSdkGetSuccessCallback(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			DuoSDK obj = (DuoSDK)ToLua.CheckObject(L, 1, typeof(DuoSDK));
			LuaFunction arg0 = ToLua.CheckLuaFunction(L, 2);
			obj.FUNCTAG_SetSdkGetSuccessCallback(arg0);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetSdkGetFailCallback(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			DuoSDK obj = (DuoSDK)ToLua.CheckObject(L, 1, typeof(DuoSDK));
			LuaFunction arg0 = ToLua.CheckLuaFunction(L, 2);
			obj.FUNCTAG_SetSdkGetFailCallback(arg0);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

}

